## ros-noetic-mrpt-rawlog 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_rawlog)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED 
   COMPONENTS
   roscpp
   tf2
   tf2_ros
   tf2_geometry_msgs
   nav_msgs
   sensor_msgs
   mrpt_msgs
   mrpt_msgs_bridge
   dynamic_reconfigure
   marker_msgs
   rosbag
   )

find_package(mrpt-gui REQUIRED)
find_package(mrpt-obs REQUIRED)
find_package(mrpt-ros1bridge REQUIRED)

message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

IF(CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_BUILD_TYPE MATCHES "Debug")
  add_compile_options(-O3)
ENDIF()

# add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/RawLogRecord.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
  LIBRARIES rawlog_record rawlog_play
  CATKIN_DEPENDS 
   roscpp
   tf2
   tf2_ros
   tf2_geometry_msgs
   nav_msgs
   sensor_msgs
   mrpt_msgs
   mrpt_msgs_bridge
   marker_msgs
   dynamic_reconfigure
#   DEPENDS mrpt
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(rawlog_record
   src/mrpt_rawlog_record/rawlog_record.cpp
)
target_link_libraries(rawlog_record
  ${catkin_LIBRARIES}
   mrpt::obs
   mrpt::gui
   mrpt::ros1bridge
)

add_library(rawlog_play
   src/mrpt_rawlog_play/rawlog_play.cpp
   src/mrpt_rawlog_play/rawlog_play_parameters.cpp
)
target_link_libraries(rawlog_play
   ${catkin_LIBRARIES}
   mrpt::obs
   mrpt::gui
   mrpt::ros1bridge
)

## Declare a cpp executable
add_executable(rawlog_record_node
   src/rawlog_record_node.cpp
   src/rawlog_record_node_parameters.cpp
)

add_executable(rawlog_play_node
   src/rawlog_play_node.cpp
   src/rawlog_play_node_parameters.cpp
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(template_node template_generate_messages_cpp)
add_dependencies(rawlog_record_node
   mrpt_msgs_generate_messages_cpp
   ${PROJECT_NAME}_gencfg
)

add_dependencies(rawlog_play_node
   mrpt_msgs_generate_messages_cpp
   ${PROJECT_NAME}_gencfg
)

## Specify libraries to link a library or executable target against
target_link_libraries(rawlog_record_node
   ${catkin_LIBRARIES}
   mrpt::obs
   mrpt::gui
   mrpt::ros1bridge
   rawlog_record
)

target_link_libraries(rawlog_play_node
   ${catkin_LIBRARIES}
   mrpt::obs
   mrpt::gui
   mrpt::ros1bridge
   rawlog_play
)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

# Mark executables and/or libraries for installation
install(TARGETS rawlog_record_node rawlog_play_node rawlog_record rawlog_play
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
   tutorial
   launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## ros-noetic-mrpt-rawlog 1.0.3

=== debian/changelog ===
ros-noetic-mrpt-rawlog (1.0.3-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.2-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.1-1buster) buster; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.0-1buster) buster; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #126 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/126> from lukschwalb/master
    Fix incorrect class check
  * Fix incorrect class name
  * Merge pull request #119 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/119> from mx-robotics/develop
    rawlog_record: fnc call fileNameStripInvalidChars removed
  * Contributors: Jose Luis Blanco Claraco, Markus Bader, Schwalb, Luk

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.26-1buster) buster; urgency=high

  * mrpt_rawlog: abort if input file does not exist. Fix crash if built against mrpt1.
  * remove qtcreator temporary files
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.25-1buster) buster; urgency=high

  * fix build in gcc 4.x
  * fix build against mrpt1 (Closes #113 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/113>)
  * fix build against current mrpt2
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.24-1buster) buster; urgency=high

  * Fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * fix regression introduced in last refactor of mrpt_rawlog
  * rawlog_record: Explain error if cannot write .rawlog
  * Contributors: Jose Luis Blanco Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.23-1buster) buster; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.22-1buster) buster; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.21-1buster) buster; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.20-1buster) buster; urgency=high

  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.18-1buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-mrpt-rawlog
Section: misc
Priority: optional
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-marker-msgs, ros-noetic-mrpt-msgs, ros-noetic-mrpt-msgs-bridge, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Homepage: https://wiki.ros.org/mrpt_rawlog
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-rawlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-marker-msgs, ros-noetic-mrpt-msgs, ros-noetic-mrpt-msgs-bridge, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: This package provides nodes to record and play MRPT rawlogs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mrpt-rawlog//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-mrpt-rawlog 1.0.4

=== debian/changelog ===
ros-noetic-mrpt-rawlog (1.0.4-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 Mar 2023 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.3-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.2-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.1-1focal) focal; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (1.0.0-1focal) focal; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #126 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/126> from lukschwalb/master
    Fix incorrect class check
  * Fix incorrect class name
  * Merge pull request #119 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/119> from mx-robotics/develop
    rawlog_record: fnc call fileNameStripInvalidChars removed
  * Contributors: Jose Luis Blanco Claraco, Markus Bader, Schwalb, Luk

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.26-1focal) focal; urgency=high

  * mrpt_rawlog: abort if input file does not exist. Fix crash if built against mrpt1.
  * remove qtcreator temporary files
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.25-1focal) focal; urgency=high

  * fix build in gcc 4.x
  * fix build against mrpt1 (Closes #113 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/113>)
  * fix build against current mrpt2
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.24-1focal) focal; urgency=high

  * Fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * fix regression introduced in last refactor of mrpt_rawlog
  * rawlog_record: Explain error if cannot write .rawlog
  * Contributors: Jose Luis Blanco Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.23-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.22-1focal) focal; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.21-1focal) focal; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-rawlog (0.1.20-1focal) focal; urgency=high

  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev
